Convert Entities
Convert Entities
Is it possible to have Convert Entities convert the entire face at once? I always have to run the command at least twice if there is an inner loop. (And if I do the outer loop first, I have to select the inner edges one at a time. I can't just select the face.)
So, the current solution is to run Intersection Curve instead of Convert Entities. It will capture all edges that are laying on the sketch plane.
It is also a much more robust feature than Convert Entities. If new holes are added on that face, they will be automatically captured by a rebuild operation.
Go to full postIt is also a much more robust feature than Convert Entities. If new holes are added on that face, they will be automatically captured by a rebuild operation.
-
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
Re: Convert Entities
If it is a planar face, coincident to the sketch plane, use the Intersection Curve.
Re: Convert Entities
That gives me the inner loops, but I have to run the command again to get the outer loops. Am I doing it wrong? (click on GIF below)
-
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
Re: Convert Entities
Try to check the box first.
- Attachments
-
- image.png (16.92 KiB) Viewed 2255 times
Re: Convert Entities
That still only selects the inner loop for me. (2020 SP5)
-
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
Re: Convert Entities
I want it to select the inner and outer loops at the same time.
-
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
-
- Posts: 221
- Joined: Tue Mar 09, 2021 7:25 am
- Location: Netherlands
- x 183
- x 229
Re: Convert Entities
I think currently the UI doesn't provide a way to do it but API does.
Code: Select all
Option Explicit
Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swSelMgr As SelectionMgr
Dim swFace As Face2
Dim EdgeArr() As Edge
Dim swSketch As Sketch
Dim swSketchManager As SketchManager
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
If swModel Is Nothing Then Exit Sub
Set swSketch = swModel.GetActiveSketch2
Set swSketchManager = swModel.SketchManager
Set swSelMgr = swModel.SelectionManager
If swSelMgr.GetSelectedObjectType3(1, -1) = swSelectType_e.swSelFACES Then
Set swFace = swSelMgr.GetSelectedObject6(1, -1)
End If
If swSketch Is Nothing Then Exit Sub
If swFace Is Nothing Then Exit Sub
EdgeArr = swFace.GetEdges
If IsEmpty(EdgeArr) Then Exit Sub
swModel.Extension.MultiSelect2 EdgeArr, False, Nothing
swSketchManager.SketchUseEdge2 False
End Sub
- DanPihlaja
- Posts: 842
- Joined: Thu Mar 11, 2021 9:33 am
- Location: Traverse City, MI
- x 807
- x 978
Re: Convert Entities
He is trying to grab both the inner loops and the outer loops at the same time
-Dan Pihlaja
Solidworks 2022 SP4
2 Corinthians 13:14
Solidworks 2022 SP4
2 Corinthians 13:14
Re: Convert Entities
So, the current solution is to run Intersection Curve instead of Convert Entities. It will capture all edges that are laying on the sketch plane.
It is also a much more robust feature than Convert Entities. If new holes are added on that face, they will be automatically captured by a rebuild operation.
It is also a much more robust feature than Convert Entities. If new holes are added on that face, they will be automatically captured by a rebuild operation.
Re: Convert Entities
That's great to know. I will use that in the future.Alin wrote: ↑Thu Feb 10, 2022 8:49 am So, the current solution is to run Intersection Curve instead of Convert Entities. It will capture all edges that are laying on the sketch plane.
It is also a much more robust feature than Convert Entities. If new holes are added on that face, they will be automatically captured by a rebuild operation.
-
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams
I may not have gone where I intended to go, but I think I have ended up where I needed to be. -Douglas Adams